/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1;

import com.oss.asn1.*;
import com.oss.metadata.*;

public class Libitscam_asn1 extends ASN1Project {

    /**
     * Initialize the pdu decoder.
     */
    private static final ProjectInfo c_projectInfo = new ProjectInfo (
	null,
	new byte[] {
	    (byte)0x0b, (byte)0x97, (byte)0xc5, (byte)0x74, (byte)0x71,
	    (byte)0xdc, (byte)0x43, (byte)0x43, (byte)0x12, (byte)0xdd,
	    (byte)0x43, (byte)0x43, (byte)0x12, (byte)0xf1, (byte)0xd7,
	    (byte)0x06, (byte)0x79, (byte)0x96, (byte)0x7a, (byte)0x32,
	    (byte)0x09, (byte)0x02, (byte)0xa6, (byte)0x5e, (byte)0x78,
	    (byte)0x65, (byte)0xe8, (byte)0x61, (byte)0x3a, (byte)0x3d,
	    (byte)0x9e, (byte)0x2e, (byte)0x9d, (byte)0x1f, (byte)0x23,
	    (byte)0x70, (byte)0xa2, (byte)0x83, (byte)0xe1, (byte)0xef,
	    (byte)0x8a, (byte)0x25, (byte)0xae, (byte)0x05, (byte)0x27,
	    (byte)0xa2, (byte)0x41, (byte)0xe4, (byte)0xe3, (byte)0xa8,
	    (byte)0x74, (byte)0xc1, (byte)0xaa, (byte)0xed, (byte)0x35,
	    (byte)0xb4, (byte)0x9a, (byte)0xc4, (byte)0x52, (byte)0xff,
	    (byte)0xa4, (byte)0xd7, (byte)0xac, (byte)0x0e, (byte)0xa1,
	    (byte)0xe0, (byte)0xec, (byte)0xcb, (byte)0xff, (byte)0x1b,
	    (byte)0x46, (byte)0x95, (byte)0x29, (byte)0x6c, (byte)0x9f,
	    (byte)0xbe, (byte)0x18, (byte)0x0a, (byte)0x17, (byte)0x3c,
	    (byte)0x0b, (byte)0xa7, (byte)0xbf, (byte)0x50, (byte)0x0c,
	    (byte)0x85, (byte)0xc3, (byte)0xf6, (byte)0x73, (byte)0x39,
	    (byte)0x7f, (byte)0xe0, (byte)0x4a, (byte)0xb9, (byte)0x0d,
	    (byte)0x86, (byte)0x34, (byte)0x0a, (byte)0x86, (byte)0xc4,
	    (byte)0x65, (byte)0x98, (byte)0x17, (byte)0x39, (byte)0x03,
	    (byte)0x07, (byte)0xf3, (byte)0xad, (byte)0x79, (byte)0x20,
	    (byte)0x10, (byte)0x23, (byte)0x31, (byte)0x8d, (byte)0x92,
	    (byte)0x80, (byte)0x7d, (byte)0xeb, (byte)0x03, (byte)0x1b,
	    (byte)0x77, (byte)0x0e, (byte)0x5c
	}
    );
    
    /**
     * Get the project descriptor of 'this' object.
     */
    public ProjectInfo getProjectInfo()
    {
	return c_projectInfo;
    }
    
    private static final ASN1Project c_project = new Libitscam_asn1();

    /**
     * Methods for accessing Coders.
     */
    public static Coder getDefaultCoder()
    {
	return createPERUnalignedCoder(c_project);
    }
    
    public static PERAlignedCoder getPERAlignedCoder()
    {
	return createPERAlignedCoder(c_project);
    }
    
    public static PERUnalignedCoder getPERUnalignedCoder()
    {
	return createPERUnalignedCoder(c_project);
    }
    
}
