/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type DataReference from ASN1 Module DENM_PDU_Descriptions.
 * @see IA5String
 */

public class DataReference extends IA5String {
    
    /**
     * The default constructor.
     */
    public DataReference()
    {
    }
    
    /**
     * Construct from a String type.
     * @param the String to set this object to.
     */
    public DataReference(String value)
    {
	super(value);
    }
    
    
    /**
     * Construct from a char[] type.
     * @param the char[] to set this object to.
     */
    public DataReference(char[] value)
    {
	super(value);
    }
    
    /**
     * Initialize the type descriptor.
     */
    private static final KMCStringInfo c_typeinfo = new KMCStringInfo (
	new Tags (
	    new short[] {
		0x0016
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "DataReference"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "DataReference"
	),
	12314,
	new Intersection (
	    new SizeConstraint (
		new ValueRangeConstraint (
		    new AbstractBounds(
			new com.oss.asn1.INTEGER(1), 
			new com.oss.asn1.INTEGER(128),
			0
		    )
		)
	    ),
	    new PermittedAlphabetConstraint (
		IA5StringPAInfo.pa
	    )
	),
	new Bounds (
	    new java.lang.Long(1),
	    new java.lang.Long(128)
	),
	IA5StringPAInfo.paInfo
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' DataReference object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' DataReference object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * The type is a PDU.
     */
    public boolean isPDU()
    {
	return true;
    }
    
} // End class definition for DataReference
