/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type PublicVehicleType from ASN1 Module DENM_PDU_Descriptions.
 * @see INTEGER
 */

public class PublicVehicleType extends INTEGER {
    
    /**
     * The default constructor.
     */
    public PublicVehicleType()
    {
    }
    
    public PublicVehicleType(short value)
    {
	super(value);
    }
    
    public PublicVehicleType(int value)
    {
	super(value);
    }
    
    public PublicVehicleType(long value)
    {
	super(value);
    }
    
    /**
     * Initialize the type descriptor.
     */
    private static final IntegerInfo c_typeinfo = new IntegerInfo (
	new Tags (
	    new short[] {
		0x0002
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "PublicVehicleType"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "PublicVehicleType"
	),
	12314,
	new ValueRangeConstraint (
	    new AbstractBounds(
		new PublicVehicleType(0), 
		new PublicVehicleType(255),
		0
	    )
	),
	new Bounds (
	    new java.lang.Long(0),
	    new java.lang.Long(255)
	),
	null
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' PublicVehicleType object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' PublicVehicleType object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for PublicVehicleType
