/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: denm-pdu-descriptions */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.Libitsdenm_asn1 */
/* Created: Tue Jun 28 12:09:14 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -per -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-apache/oss6535gen/LibItsDenm_asn1.gen DENM-PDU-Descriptions.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.*;

/**
 * Define the ASN1 Type EventPosition from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class EventPosition extends Sequence {
    
    /**
     * The default constructor.
     */
    public EventPosition()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public EventPosition(ReferencePosition refPosition, Speed eventSpeed)
    {
	setRefPosition(refPosition);
	setEventSpeed(eventSpeed);
    }
    
    /**
     * Construct with required components.
     */
    public EventPosition(ReferencePosition refPosition)
    {
	setRefPosition(refPosition);
    }
    
    public void initComponents()
    {
	mComponents[0] = new ReferencePosition();
	mComponents[1] = new Speed();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[2];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new ReferencePosition();
	    case 1:
		return new Speed();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "refPosition"
    public ReferencePosition getRefPosition()
    {
	return (ReferencePosition)mComponents[0];
    }
    
    public void setRefPosition(ReferencePosition refPosition)
    {
	mComponents[0] = refPosition;
    }
    
    
    // Methods for field "eventSpeed"
    public Speed getEventSpeed()
    {
	return (Speed)mComponents[1];
    }
    
    public void setEventSpeed(Speed eventSpeed)
    {
	mComponents[1] = eventSpeed;
    }
    
    public boolean hasEventSpeed()
    {
	return componentIsPresent(1);
    }
    
    public void deleteEventSpeed()
    {
	setComponentAbsent(1);
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
	    "EventPosition"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "EventPosition"
	),
	12314,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8000
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
				"ReferencePosition"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"ReferencePosition"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
				    "ReferencePosition"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
				    "ReferencePosition"
				)
			    ),
			    0
			)
		    ),
		    "refPosition",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8001
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
				"Speed"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"Speed"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new Speed(-32765), 
				    new Speed(32765),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(-32765),
				new java.lang.Long(32765)
			    ),
			    null
			)
		    ),
		    "eventSpeed",
		    1,
		    3,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' EventPosition object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' EventPosition object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for EventPosition
