/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type DecentralizedSituationLocation from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class DecentralizedSituationLocation extends Sequence {
    
    /**
     * The default constructor.
     */
    public DecentralizedSituationLocation()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public DecentralizedSituationLocation(EventPosition eventPosition, 
		    LocationRef locationRef)
    {
	setEventPosition(eventPosition);
	setLocationRef(locationRef);
    }
    
    public void initComponents()
    {
	mComponents[0] = new EventPosition();
	mComponents[1] = new LocationRef();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[2];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new EventPosition();
	    case 1:
		return new LocationRef();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "eventPosition"
    public EventPosition getEventPosition()
    {
	return (EventPosition)mComponents[0];
    }
    
    public void setEventPosition(EventPosition eventPosition)
    {
	mComponents[0] = eventPosition;
    }
    
    
    
    /**
     * Define the ASN1 Type EventPosition from ASN1 Module DENM_PDU_Descriptions.
     * @see Choice
     */
    public static class EventPosition extends Choice {
	
	/**
	 * The default constructor.
	 */
	public EventPosition()
	{
	}
	
	public static final  int  eventPositionCurrentDefinition_chosen = 1;
	
	// Methods for field "eventPositionCurrentDefinition"
	public static EventPosition createEventPositionWithEventPositionCurrentDefinition(org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.EventPosition eventPositionCurrentDefinition)
	{
	    EventPosition __object = new EventPosition();

	    __object.setEventPositionCurrentDefinition(eventPositionCurrentDefinition);
	    return __object;
	}
	
	public boolean hasEventPositionCurrentDefinition()
	{
	    return getChosenFlag() == eventPositionCurrentDefinition_chosen;
	}
	
	public void setEventPositionCurrentDefinition(org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.EventPosition eventPositionCurrentDefinition)
	{
	    setChosenValue(eventPositionCurrentDefinition);
	    setChosenFlag(eventPositionCurrentDefinition_chosen);
	}
	
	
	// Method to create a specific choice instance
	public AbstractData createInstance(int chosen)
	{
	    switch (chosen) {
		case eventPositionCurrentDefinition_chosen:
		    return new org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions.EventPosition();
		default:
		    throw new InternalError("Choice.createInstance()");
	    }
	    
	}
	
	/**
	 * Initialize the type descriptor.
	 */
	private static final ChoiceInfo c_typeinfo = new ChoiceInfo (
	    new Tags (
		new short[] {
		    (short)0x8000
		}
	    ),
	    new QName (
		"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
		"DecentralizedSituationLocation$EventPosition"
	    ),
	    new QName (
		"builtin",
		"CHOICE"
	    ),
	    12318,
	    null,
	    new Fields (
		new FieldInfo[] {
		    new FieldInfo (
			new TypeInfoRef (
			    new SequenceInfo (
				new Tags (
				    new short[] {
					(short)0x8000
				    }
				),
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "EventPosition"
				),
				new QName (
				    "DENM-PDU-Descriptions",
				    "EventPosition"
				),
				12314,
				null,
				new FieldsRef (
				    new QName (
					"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
					"EventPosition"
				    )
				),
				0,
				new TagDecodersRef (
				    new QName (
					"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
					"EventPosition"
				    )
				),
				0
			    )
			),
			"eventPositionCurrentDefinition",
			0,
			2
		    )
		}
	    ),
	    0,
	    new TagDecoder (
		new TagDecoderElement[] {
		    new TagDecoderElement((short)0x8000, 0)
		}
	    )
	);
	
	/**
	 * Get the type descriptor (TypeInfo) of 'this' EventPosition object.
	 */
	public TypeInfo getTypeInfo()
	{
	    return c_typeinfo;
	}
	
	/**
	 * Get the static type descriptor (TypeInfo) of 'this' EventPosition object.
	 */
	public static TypeInfo getStaticTypeInfo()
	{
	    return c_typeinfo;
	}
	
	/**
	 * Check the current selection on unknown extension
	 */
	public final boolean hasUnknownExtension()
	{
	    return getChosenFlag() > 1;
	}
	
    } // End class definition for EventPosition

    // Methods for field "locationRef"
    public LocationRef getLocationRef()
    {
	return (LocationRef)mComponents[1];
    }
    
    public void setLocationRef(LocationRef locationRef)
    {
	mComponents[1] = locationRef;
    }
    
    
    
    /**
     * Define the ASN1 Type LocationRef from ASN1 Module DENM_PDU_Descriptions.
     * @see Choice
     */
    public static class LocationRef extends Choice {
	
	/**
	 * The default constructor.
	 */
	public LocationRef()
	{
	}
	
	public static final  int  trace_chosen = 1;
	
	// Methods for field "trace"
	public static LocationRef createLocationRefWithTrace(TraceLocData trace)
	{
	    LocationRef __object = new LocationRef();

	    __object.setTrace(trace);
	    return __object;
	}
	
	public boolean hasTrace()
	{
	    return getChosenFlag() == trace_chosen;
	}
	
	public void setTrace(TraceLocData trace)
	{
	    setChosenValue(trace);
	    setChosenFlag(trace_chosen);
	}
	
	
	// Method to create a specific choice instance
	public AbstractData createInstance(int chosen)
	{
	    switch (chosen) {
		case trace_chosen:
		    return new TraceLocData();
		default:
		    throw new InternalError("Choice.createInstance()");
	    }
	    
	}
	
	/**
	 * Initialize the type descriptor.
	 */
	private static final ChoiceInfo c_typeinfo = new ChoiceInfo (
	    new Tags (
		new short[] {
		    (short)0x8001
		}
	    ),
	    new QName (
		"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
		"DecentralizedSituationLocation$LocationRef"
	    ),
	    new QName (
		"builtin",
		"CHOICE"
	    ),
	    12318,
	    null,
	    new Fields (
		new FieldInfo[] {
		    new FieldInfo (
			new TypeInfoRef (
			    new SequenceInfo (
				new Tags (
				    new short[] {
					(short)0x8000
				    }
				),
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "TraceLocData"
				),
				new QName (
				    "DENM-PDU-Descriptions",
				    "TraceLocData"
				),
				12314,
				null,
				new FieldsRef (
				    new QName (
					"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
					"TraceLocData"
				    )
				),
				0,
				new TagDecodersRef (
				    new QName (
					"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
					"TraceLocData"
				    )
				),
				0
			    )
			),
			"trace",
			0,
			2
		    )
		}
	    ),
	    0,
	    new TagDecoder (
		new TagDecoderElement[] {
		    new TagDecoderElement((short)0x8000, 0)
		}
	    )
	);
	
	/**
	 * Get the type descriptor (TypeInfo) of 'this' LocationRef object.
	 */
	public TypeInfo getTypeInfo()
	{
	    return c_typeinfo;
	}
	
	/**
	 * Get the static type descriptor (TypeInfo) of 'this' LocationRef object.
	 */
	public static TypeInfo getStaticTypeInfo()
	{
	    return c_typeinfo;
	}
	
	/**
	 * Check the current selection on unknown extension
	 */
	public final boolean hasUnknownExtension()
	{
	    return getChosenFlag() > 1;
	}
	
    } // End class definition for LocationRef

    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "DecentralizedSituationLocation"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "DecentralizedSituationLocation"
	),
	12318,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new QName (
			    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
			    "DecentralizedSituationLocation$EventPosition"
			)
		    ),
		    "eventPosition",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new QName (
			    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
			    "DecentralizedSituationLocation$LocationRef"
			)
		    ),
		    "locationRef",
		    1,
		    2,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' DecentralizedSituationLocation object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' DecentralizedSituationLocation object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for DecentralizedSituationLocation
