/*************************************************************/
/* Copyright (C) 2011 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: cam */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.Libitscam_asn1 */
/* Created: Fri Apr 15 16:16:01 2011 */
/* ASN.1 Compiler for Java version: 4.0 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsCam_asn1 -nolistingfile
 * -nomodlistingfile -shortennames -constraints -nouserconstraints -valuerefs
 * -debug -nopedantic -noinformatorymessages -uper -root -keepnames
 * -norelaySafe -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-dte/oss20212gen/LibItsCam_asn1.gen DENM.asn CAM.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;
import org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.*;

/**
 * Define the ASN1 Type Waypoint from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class Waypoint extends Sequence {
    
    /**
     * The default constructor.
     */
    public Waypoint()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public Waypoint(Latitude ptLat, Longitude ptLong, Elevation ptAlt)
    {
	setPtLat(ptLat);
	setPtLong(ptLong);
	setPtAlt(ptAlt);
    }
    
    public void initComponents()
    {
	mComponents[0] = new Latitude();
	mComponents[1] = new Longitude();
	mComponents[2] = new Elevation();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[3];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new Latitude();
	    case 1:
		return new Longitude();
	    case 2:
		return new Elevation();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    
    // Methods for field "ptLat"
    public Latitude getPtLat()
    {
	return (Latitude)mComponents[0];
    }
    
    public void setPtLat(Latitude ptLat)
    {
	mComponents[0] = ptLat;
    }
    
    
    // Methods for field "ptLong"
    public Longitude getPtLong()
    {
	return (Longitude)mComponents[1];
    }
    
    public void setPtLong(Longitude ptLong)
    {
	mComponents[1] = ptLong;
    }
    
    
    // Methods for field "ptAlt"
    public Elevation getPtAlt()
    {
	return (Elevation)mComponents[2];
    }
    
    public void setPtAlt(Elevation ptAlt)
    {
	mComponents[2] = ptAlt;
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
	    "Waypoint"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "Waypoint"
	),
	12318,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8000
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"Latitude"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"Latitude"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "Latitude"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "Latitude"
				)
			    ),
			    0
			)
		    ),
		    "ptLat",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8001
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"Longitude"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"Longitude"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "Longitude"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				    "Longitude"
				)
			    ),
			    0
			)
		    ),
		    "ptLong",
		    1,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8002
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsCam_asn1.denm_pdu_descriptions",
				"Elevation"
			    ),
			    new QName (
				"DENM-PDU-Descriptions",
				"Elevation"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new Elevation(-10000), 
				    new Elevation(16767215),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(-10000),
				new java.lang.Long(16767215)
			    ),
			    null
			)
		    ),
		    "ptAlt",
		    2,
		    2,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8002, 2)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' Waypoint object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' Waypoint object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for Waypoint
